Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.net
Interface SSLUtil

All Known Implementing Classes:
  JSSESocketFactory

    public interface SSLUtil

Method Summary
`void` | `configureSessionContext(SSLSessionContext sslSessionContext)`
`SSLContext` | `createSSLContext()`
`KeyManager[]` | `getKeyManagers()`
`TrustManager[]` | `getTrustManagers()`

Method Detail

### createSSLContext

    SSLContext createSSLContext()
                                throws Exception

  Throws:
    `Exception`

### getKeyManagers

    KeyManager[] getKeyManagers()
                                throws Exception

  Throws:
    `Exception`

### getTrustManagers

    TrustManager[] getTrustManagers()
                                    throws Exception

  Throws:
    `Exception`

### configureSessionContext

    void configureSessionContext(SSLSessionContext sslSessionContext)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.